const permissionMapping = {
  admin: {
    get: {
      addresses: ['/addresses/:id', '/addresses'],
      administrators: ['/administrators/:id', '/administrators'],
      categories: ['/categories/:id', '/categories'],
      feedbacks: ['/feedbacks/:id', '/feedbacks'],
      orders: [
        '/orders/:id',
        '/orders',
        '/products',
        '/products/user',
        '/:id/products/user',
      ],
      'order-products': ['/order-products/:id', '/order-products'],
      plans: ['/plans/:id', '/plans'],
      products: ['/products/:id', '/products', '/products/category'],
      schedules: ['/schedules/:id', '/schedules', '/schedules/next/deliveries'],
      signatures: ['/signatures/:id', '/signatures'],
      townhouses: ['/townhouses/:id', '/townhouses'],
      users: ['/users/:id', '/users', '/users/me/home', '/users/export'],
    },
    post: {
      addresses: ['/addresses'],
      administrators: ['/administrators'],
      categories: ['/categories'],
      feedbacks: ['/feedbacks'],
      orders: ['/orders'],
      'order-products': ['/order-products'],
      plans: ['/plans'],
      products: ['/products'],
      schedules: ['/schedules'],
      signatures: ['/signatures'],
      townhouses: ['/townhouses'],
      users: ['/users'],
    },
    put: {
      addresses: ['/addresses/:id'],
      administrators: ['/administrators/:id'],
      categories: ['/categories/:id'],
      feedbacks: ['/feedbacks/:id'],
      orders: ['/orders/:id'],
      'order-products': ['/order-products/:id', '/order-products/:id/update-item/amount/:amount'],
      plans: ['/plans/:id'],
      products: ['/products/:id'],
      schedules: ['/schedules/:id'],
      signatures: ['/signatures/:id'],
      townhouses: ['/townhouses/:id'],
      users: ['/users/:id'],
    },
    delete: {
      addresses: ['/addresses/:id'],
      administrators: ['/administrators/:id'],
      categories: ['/categories/:id'],
      feedbacks: ['/feedbacks/:id'],
      orders: ['/orders/:id'],
      'order-products': ['/order-products/:id', '/order-products/:id/remove-item'],
      plans: ['/plans/:id'],
      products: ['/products/:id'],
      schedules: ['/schedules/:id'],
      signatures: ['/signatures/:id'],
      townhouses: ['/townhouses/:id'],
      users: ['/users/:id'],
    },
  },
  client: {
    get: {
      addresses: ['/addresses/:id'],
      administrators: [],
      categories: ['/categories/:id', '/categories'],
      feedbacks: ['/feedbacks/:id', '/feedbacks/:id'],
      orders: ['/orders/:id'],
      'order-products': ['/order-products/:id'],
      plans: ['/plans/:id', '/plans'],
      products: ['/products/:id', '/products'],
      schedules: ['/schedules/:id'],
      signatures: ['/signatures/:id'],
      townhouses: ['/townhouses/:id', '/townhouses'],
      users: ['/users/me/home'],
    },
    post: {
      addresses: ['/addresses'],
      administrators: [],
      categories: [],
      feedbacks: ['/feedbacks'],
      orders: ['/orders'],
      'order-products': ['/order-products'],
      plans: [],
      products: [],
      schedules: ['/schedules'],
      signatures: ['/signatures'],
      townhouses: [],
      users: [],
    },
    put: {
      addresses: ['/addresses/:id'],
      administrators: [],
      categories: [],
      feedbacks: ['/feedbacks/:id'],
      orders: ['/orders/:id'],
      'order-products': ['/order-products/:id', '/order-products/:id/update-item/amount/:amount'],
      plans: [],
      products: [],
      signatures: ['/signatures/:id'],
      townhouses: [],
      users: [],
    },
    delete: {
      addresses: ['/addresses/:id'],
      administrators: [],
      categories: [],
      feedbacks: ['/feedbacks/:id'],
      orders: [],
      'order-products': ['/order-products/:id', '/order-products/:id/remove-item'],
      plans: [],
      products: [],
      signatures: [],
      townhouses: [],
      users: [],
    },
  },
};

export default permissionMapping;
